mutation CreateCertification(
  $employeeName: String!,
  $certificationName: String!,
  $certificationType: CertificationType,
  $status: CertificationStatus,
  $expiryDate: String!,
  $validationStatus: CertificationValidationStatus
) @auth(level: USER) {
  certification_insert(
    data: {
      employeeName: $employeeName
      certificationName: $certificationName
      certificationType: $certificationType
      status: $status
      expiryDate: $expiryDate
      validationStatus: $validationStatus
    }
  )
}

mutation UpdateCertification(
  $id: UUID!,
  $employeeName: String,
  $certificationName: String,
  $certificationType: CertificationType,
  $status: CertificationStatus,
  $expiryDate: String,
  $validationStatus: CertificationValidationStatus
) @auth(level: USER) {
  certification_update(
    id: $id,
    data: {
      employeeName: $employeeName
      certificationName: $certificationName
      certificationType: $certificationType
      status: $status
      expiryDate: $expiryDate
      validationStatus: $validationStatus
    }
  )
}

mutation DeleteCertification(
  $id: UUID!
) @auth(level: USER) {
  certification_delete(id: $id)
}
